<?php
    //基本モジュール呼び出し
    include_once("./lib/header.inc");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }

    if (!sizeof($ERROR)) {
        //アバター情報取得（性別取得のため）
        $return = get_sp($AVAFIT->avatar_call($site_key, $user_code));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $avatar = $return["value"];
            $sex = $avatar["SEX"];
        }

        //下記で使われる検索条件としての性別（「c」は共通、共通と利用者性別のアイテムだけを取得）
        $sex_cond = "sex:c".$sex;

        //カテゴリー取得
        $return = get_sp($AVAFIT->category_get($site_key, 1, "", $sex_cond, true));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $category = $return["value"];
        }
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>