<?php
    //基本モジュール呼び出し
    include_once("./lib/header.inc");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }
    if (!$item_key) {
        $ERROR[] = "「item_key」がありません。";
    }
    if (!$action) {
        $ERROR[] = "操作が指定されていません。";
    }

    $rtn_page = ($list_page)?$list_page:"closet";

    if (!sizeof($ERROR)) {
        //試着
        if ($action == "PUTON_CONFIRM") {
            $return = $AVAFIT->avatar_item_puton_temp($site_key, $user_code, "", $f_try_key, $item_key, "");

            if ($return["result"]) {
                $tryset = get_sp($return["value"]);
                $f_try_key = $tryset["TRYKEY"];
            }
        }
        //試着外し
        else if ($action == "PUTOFF_CONFIRM" || $action == "DEL_CONFIRM") {
            $return = $AVAFIT->avatar_item_putoff_temp($site_key, $user_code, "", $f_try_key, $item_key, "");
            if ($return["result"]) {
                $tryset = get_sp($return["value"]);
                $f_try_key = $tryset["TRYKEY"];
            }
        }

        //試着表示
        $return = $AVAFIT->avatar_call_temp($site_key, $user_code, "", $f_try_key);
        if (!$return["result"]) {
            $ERROR[] = get_sp($return["error_shot"]);
        }
        else {
            $try = get_sp($return["value"]);
            $try_items = $try["ITEMS"];
        }

        //アイテム情報
        $return = $AVAFIT->item_info($site_key, $user_code, $item_key);
        if (!$return["result"]) {
            $ERROR[] = get_sp($return["error_shot"]);
        }
        else {
            $item_info = get_sp($return["value"]);
            $items = $item_info["ITEMS"];
        }

        //$actionに合わせて表示変更
        $kubun["PUTON_CONFIRM"]  = array("TITLE"=>"着用", "MESSAGE"=>"着用します。", "LINK"=>"着用", "ACTION"=>"PUTON");
        $kubun["PUTOFF_CONFIRM"] = array("TITLE"=>"脱衣", "MESSAGE"=>"外します。",   "LINK"=>"外す", "ACTION"=>"PUTOFF");
        $kubun["DEL_CONFIRM"]    = array("TITLE"=>"削除", "MESSAGE"=>"削除します。", "LINK"=>"削除", "ACTION"=>"DEL");
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>