<?php
    //基本モジュール呼び出し
    include_once("./lib/header.inc");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }
    if ($action != "PUTOFF_CONFIRM") {
        $ERROR[] = "操作が指定されていません。";
    }

    if (!sizeof($ERROR)) {

        //アバターの呼び出し
        $return = $AVAFIT->avatar_call($site_key, $user_code);
        if (!$return["result"]) {
            $ERROR[] = get_sp($return["error_shot"]);
        }
        else {
            $avatar = get_sp($return["value"]);
            $sex = $avatar["SEX"];
        }

        // Closetアイテム取得
        // …着用中アイテムを全て表示するため、独自のパラメータを設定
        $return = $AVAFIT->category_closet_item_get(
                    $site_key,
                    $user_code,
                    1,                 //カテゴリ組
                    $f_cate,           //カテゴリINDEX
                    false,             //表示ページ番号(デフォルト値[1])
                    1000,              //ITEM表示数(全表示にするため、着用しえない[1000件]という数をあえて設定)
                    "status:puton",    //表示条件(着用中)
                    "registdate DESC", //表示順
                    true               //サブカテゴリ含む
                );
        if (!$return["result"]) {
            $ERROR[] = get_sp($return["error_shot"]);
        }
        else {
            $closet_info = get_sp($return["value"]);
            $closets = $closet_info["CLOSETS"];
        }
        //$actionに合わせて表示変更
        $kubun["PUTOFF_CONFIRM"] = array("TITLE"=>"ｱｲﾃﾑを外す", "MESSAGE"=>"-着用中のｱｲﾃﾑ-",   "LINK"=>"着用から外す", "ACTION"=>"PUTOFF");
    }

    //共通ヘッダ
    html_header();

    // Closet処理後のメッセージ[着用解除のみ]
    $rslt = (!empty($_GET["rslt"])) ? $_GET["rslt"] : null ;
    switch ($rslt){
        case "PUTOFFOK":
            $rsltmsg = "着用から外しました。";
            break;
        case "RESELECT":
            $rsltmsg = "外すｱｲﾃﾑを指定してください。";
            break;
        default:
            $rsltmsg = null;
    }

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>