<?php

    // 出力バッファリングを有効化
    ini_set('output_buffering', 'on');

    //設定ファイル
    include_once(dirname(__FILE__)."/../config/ui_config.ini");

    //ライブラリ
    include_once(dirname(__FILE__)."/util.inc");

    //グローバル変数処理
    include_once(dirname(__FILE__)."/slash.inc");

    //GET変数を格納
    foreach ($_GET as $key => $val) {
        ${$key} = $val;
    }
    //POST変数を格納
    foreach ($_POST as $key => $val) {
        ${$key} = $val;
    }


    //共通パラメータの作成
    $params  = "site_key=".$site_key."&user_code=".$user_code."&md=".$md;

    //APIサーバーをSERVER配列からRANDOMで決める
    $sel = rand(0, sizeof($WU_AVAFIT_API_SERVER_URL)-1);
    $sel_svr_url = $WU_AVAFIT_API_SERVER_URL[$sel];

    //APIサーバー接続
    if (_WU_API_CONNECT_METHOD == "PHPRPC") {
        include (dirname(__FILE__)."/phprpc/phprpc_client.php");
        $AVAFIT = new PHPRPC_Client($sel_svr_url."/api_rpc.php");
    }
    else if (_WU_API_CONNECT_METHOD == "SOAP") {
        $option = array('encoding' => 'SJIS');
        $AVAFIT = new SoapClient($sel_svr_url."/avafit.wsdl", $option);
    }
    else if (_WU_API_CONNECT_METHOD == "DIRECT") {
        include_once (_WU_AVAFIT_API_SERVER_DIR."/lib/avatar.lib");
        $AVAFIT = new WFavatar();
    }
?>