<?php
    //基本モジュール呼び出し
    include_once("./lib/header.inc");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }

    if (!sizeof($ERROR)) {
        //着用中のみ表示/未着用のみ表示
        if ($view_cond) {
            $cond = "status:".$view_cond;

            if ($view_cond == "puton") {
                $cond_title = "着用中";
            }
            else if ($view_cond == "putoff") {
                $cond_title = "未着用";
            }
            else {
                $cond_title = "全";
            }
        }
        else {
            $cond_title = "全";
        }

        //Closetカテゴリー取得
        $return = $AVAFIT->category_closet_get($site_key, $user_code, 1, "", $cond, true);
        if (!$return["result"]) {
            $ERROR[] = get_sp($return["error_shot"]);
        }
        else {
            $closet_cate = get_sp($return["value"]);

            //見栄えのためにカテゴリー配列にインデント挿入
            for ($i = 0; $i < sizeof($closet_cate); $i++) {
                $depth = "";
                for ($j = 1; $j <= $closet_cate[$i]["DEPTH"]; $j++) {
                    $depth .= "&nbsp;&nbsp;&nbsp;";
                }
                $exp = $depth."+ ".$closet_cate[$i]["NAME"];

                if ($closet_cate[$i]["ITEM_COUNT"]) {
                    $exp .= "(".$closet_cate[$i]["ITEM_COUNT"].")";
                }

                $cate[] = array("KEY" => $closet_cate[$i]["INDEX"], "NAME" => $exp);
            }
        }

        //Closetアイテム取得
        $return = $AVAFIT->category_closet_item_get($site_key,
                                                    $user_code,
                                                    1,                                  //カテゴリー組
                                                    $f_cate,                            //カテゴリーINDEX
                                                    ($offset/_WU_ITEM_CNT_LIST_PAGE)+1, //表示ページ番号
                                                    _WU_ITEM_CNT_LIST_PAGE,             //ｱｲﾃﾑ表示数
                                                    $cond,                              //表示条件
                                                    "registdate DESC",                  //表示順
                                                    true);                              //サーブカテゴリー含む
        if (!$return["result"]) {
            $ERROR[] = get_sp($return["error_shot"]);
        }
        else {
            $closet_info = get_sp($return["value"]);
            $closets = $closet_info["CLOSETS"];
        }
    }

    //echo nl2br(print_r($closet_cate, true));
    //echo nl2br(print_r($closet_info, true));

    //共通ヘッダ
    html_header();

    // Closet処理後のメッセージ[着用・削除のみ]
    $rslt = (!empty($_GET["rslt"])) ? $_GET["rslt"] : null ;
    switch ($rslt){
        case "PUTONOK":
            $rsltmsg = "着用しました。";
            break;
        case "DELOK";
            $rsltmsg = "ｸﾛｰｾﾞｯﾄから削除しました。";
            break;
        default:
            $rsltmsg = null;
    }

    //キャリアにあわせてVIEWファイルをINCLUDE
    // 20101220 $md廃止
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>