<?php
    //基本モジュール呼び出し
    include_once("./lib/header.inc");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }

    if (!sizeof($ERROR)) {
        //アバター情報取得（性別取得のため）
        $return = get_sp($AVAFIT->avatar_call($site_key, $user_code));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $avatar = $return["value"];
            $sex = $avatar["SEX"];
        }

        //下記で使われる検索条件としての性別（「c」は共通、共通と利用者性別のアイテムだけを取得）
        $cond = "sex:c".$sex.",price:<=0";

        //カテゴリー取得
        $return = get_sp($AVAFIT->category_get($site_key, 1, "", $cond, true));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $category = $return["value"];

            //見栄えのためにカテゴリー配列にインデント挿入
            for ($i = 0; $i < sizeof($category); $i++) {
                $depth = "";
                for ($j = 1; $j <= $category[$i]["DEPTH"]; $j++) {
                    $depth .= "&nbsp;&nbsp;&nbsp;";
                }
                $exp = $depth."+ ".$category[$i]["NAME"];
                if ($category[$i]["ITEM_COUNT"]) {
                    $exp .= "(".$category[$i]["ITEM_COUNT"].")";
                }

                $cate[] = array("KEY" => $category[$i]["INDEX"], "NAME" => $exp);
            }
        }

        if (!$order) {
            $order = "SALE_NEW";
        }

        //表示順
        if ($order == "SALE_OLD") {
            $order_cond = "selldate asc, name desc";
        }
        else {
            $order_cond = "selldate desc, name asc";
        }

        //アイテム一覧取得(色違いなどの子アイテムは除く)
        $return = get_sp(
                        $AVAFIT->category_item_get($site_key,
                                             1,                                  //カテゴリー組
                                             $f_cate,                            //カテゴリーINDEX
                                             ($offset/_WU_ITEM_CNT_LIST_PAGE)+1, //表示ページ番号
                                             _WU_ITEM_CNT_LIST_PAGE,             //ｱｲﾃﾑ表示数
                                             $cond,                              //表示条件
                                             $order_cond,                        //表示順
                                             true)                              //サーブカテゴリー含む
                        );
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $item_info = $return["value"];
            $items = $item_info["ITEMS"];
        }
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    // 20101220 $md廃止
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>