<?php
    //基本モジュール呼び出し
    include_once("./lib/header.inc");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }
    if (!$f_try_key) {
        $ERROR[] = "試着情報が見つかりません。";
    }

    //ポイントの確認
    if (!sizeof($ERROR)) {
        $fp = fopen(_WU_POINT_GET_URL."?user_code=".$user_code, "r");
        if (!$fp) {
            $ERROR[] = "ユーザーのポイント確認に失敗しました。";
        }
        else {
            while (!feof($fp)) {
                $user_point = fgets($fp, 1024);
            }
            fclose($fp);

            if (!validate_number($user_point)) {
                $ERROR[] = "ユーザーの所持ポイントが正しくありません。";
            }
        }
    }

    if (!sizeof($ERROR)) {
        //試着表示
        $return = get_sp($AVAFIT->avatar_call_temp($site_key, $user_code, "", $f_try_key));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $try = $return["value"];
            $try_items = $try["ITEMS"];
        }

        $sum_count = 0;
        $sum_price = 0;
        for ($i = 0; $i < sizeof($try_items); $i++) {
            //if (!$try_items[$i]["IS_CLOSET"]) {
                //前の画面でチェックされたアイテムだけを絞り込む
                if (${"chk_".$try_items[$i]["KEY"]}) {
                    $sum_price += $try_items[$i]["PRICE"];
                    $sum_count += 1;
                    $buy_item_keys[]  = $try_items[$i]["KEY"];
                    $buy_item_names[] = $try_items[$i]["NAME"];
                    $buy_item_price[] = $try_items[$i]["PRICE"];
                }
            //}
        }
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>