<?php
//-------------------------------------------------------------------------
//　画面から渡されたパラメータのスラッシュ補正を行ないます
//　1.配列で文字列が与えられる場合については未対応です
//　2.以降の処理では、POST、GETパラメータを含むすべての変数に格納された文字
//　　列はすべてスラッシュが除去された値として扱います。
//    addslashes()   クエリー作成時以外禁止
//    stripslashes() 使用禁止
//　環境によっては不要です（その場合でも悪影響はありません）
//-------------------------------------------------------------------------
if(get_magic_quotes_gpc()){
    //メソッドがPOST か GET かに応じて画面から渡されたパラメータ配列を取得します
    if(sizeof($HTTP_POST_VARS) > 0){
        while (list ($key, $val) = each ($HTTP_POST_VARS)) {
            if(is_string($val)){
                $$key = htmlspecialchars(stripslashes($val));
                //$$key = stripslashes($val);
            }

            if (_WM_DEBUG_MODE) {
                $WM_DEBUG[] = array("KUBUN"=>"GLOBAL", "VALUE"=>"$key => $val");
            }
        }
    }
    if(sizeof($HTTP_GET_VARS) > 0){
        while (list ($key, $val) = each ($HTTP_GET_VARS)) {
            if(is_string($val)){
                $$key = htmlspecialchars(stripslashes($val));
                //$$key = stripslashes($val);
            }

            if (_WM_DEBUG_MODE) {
                $WM_DEBUG[] = array("KUBUN"=>"GLOBAL", "VALUE"=>"$key => $val");
            }
        }
    }
}
?>